#ifndef WAVEOUT_H
#define WAVEOUT_H

// Open and close audio output. returns 0 if successful.
extern int openWaveOut(float SampleRate, int NumChans);
extern void closeWaveOut();

// Queue up Data for playback. returns 0 if successful.
extern void WriteOut(BYTE* Data, int numBytes, int AudioPTS);

// This returns the time elapsed in ms since audio playback started.
extern int ElapsedMs();

// This returns the PTS of the audio sample currently played. Reset indicates AudioPTS was reset since last call.
extern int GetCurrentAudioPTS(bool* Reset);

// This indicates how many ms of audio is currently queued for playback.
extern int GetReadyToPlayMs();

// Forces playback to start. Playback normally starts automatically when enough samples are queued up.
// But you can force an earlier start with this.
extern int StartPlayback();

// Not used at this point.
extern void SubpicParse(unsigned char* Buffer);


#endif